Parte: Cubo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 50% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어
FreeCAD.png
Pagina successiva: Cono Part Cone.svg Arrow-right.svg

Part Box.svg Cubo

Posizione nel menu
Parte → Primitive → Cubo
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
?
Vedere anche
Crea primitive...

Descrizione

Il comando Cubo dell'ambiente Part inserisce nel documento attivo un parallelepipedo parametrico. Di default, inserisce un cubo con i lati di 10 mm, posizionato nell'origine, e con l'etichetta "Cubo". Questi parametri possono essere modificati dopo aver aggiunto l'oggetto.

Part_Box

Uso

  1. Passare nell'ambiente Workbench Part.svg Parte
  2. Si può invocare il comando in diversi modi:
    • Premere il pulsante Part Box.svg sulla barra degli strumenti
    • Selezionare Parte → Primitive → Cubo nella barra dei menù.

Result: The default result is a box with an equal length, width and height of 10 mm. It is attached the the global xy-plane and one edge is coincident with the global z-axis.

The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.

Proprietà

Base

  • DataPlacement: Specifica l'orientamento e la posizione del Cubo nello spazio 3D. Vedere Posizionamento. Il punto di riferimento è l'angolo anteriore in basso a sinistra del cubo.
  • DataLabel: L'etichetta è il nome assegnato all'operazione. Questo nome può essere modificato a piacimento.

Box

  • DataLength: Il parametro di lunghezza è la dimensione del Cubo nella direzione x.
  • DataWidth: Il parametro di larghezza è la dimensione del Cubo nella direzione y.
  • DataHeight: Il parametro di altezza è la dimensione del Cubo nella direzione z.

Part_Box-Properties

Script

Lo strumento Cubo può essere utilizzato nelle macro e dalla console di Python utilizzando la seguente funzione:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Dove "myBox" è l'etichetta per l'oggetto Box.
  • Restituisce un oggetto di tipo Box di nuova creazione.

È possibile accedere e modificare gli attributi dell'oggetto Box. Ad esempio, si potrebbe desiderare di modificare i parametri di lunghezza, larghezza e altezza.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

È possibile modificare la sua posizione con:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))


FreeCAD.png
Pagina successiva: Cono Part Cone.svg Arrow-right.svg